// SDK_USBm_SM303_S10420Dlg.h : header file
//

#if !defined(AFX_SDK_USBm_SM303_S10420DLG_H__91D7B9F7_10D5_4A92_831F_03026CECEA5E__INCLUDED_)
#define AFX_SDK_USBm_SM303_S10420DLG_H__91D7B9F7_10D5_4A92_831F_03026CECEA5E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CSDK_USBm_SM303_S10420Dlg dialog

////////////// Include the SP's DLL header file ///////////////////
#include "SPdbUSBm_stdcallDLL.h"
///////////////////////////////////////////////////////////////////

class CSDK_USBm_SM303_S10420Dlg : public CDialog
{
// Construction
public:
	CSDK_USBm_SM303_S10420Dlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSDK_USBm_SM303_S10420Dlg)
	enum { IDD = IDD_SDK_USBm_SM303_S10420_DIALOG };
	CButton	m_chkShutter;
	CButton	m_btnTECooling;
	CButton	m_btnAssign;
	CButton	m_btnTrigger;
	CEdit	m_edSaveFileName;
	CEdit	m_edTimeAve;
	CEdit	m_edIntTime;
	CComboBox	m_cbChnlNum;
	CButton	m_btnGetDataCrnt;
	CButton	m_btnGetDataAdv;
	CButton	m_btnClose;
	CButton	m_btnChkCnct;
	CButton	m_btnChkChnl;
	BOOL	m_bTrigger;
	CString	m_strSaveFileName;
	CString	m_strChkChnl;
	CString	m_strChkCnct;
	int		m_iTimeAve;
	long	m_lIntTime;
	BOOL	m_bTECooling;
	BOOL	m_bShutterPos;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSDK_USBm_SM303_S10420Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void DeactivateCtrls();
//	int SaveData(CString strName, float *fData, int iNum);
	short GetAndSaveData(CString strName, short sChnlID);
	short GetAndSaveDataAdv(CString strName, short sChnlID);
	short m_sPixelNum;		// Detector Pixel number
	short m_sTotChnlNum;	// Total Channel number
	short m_sCurChnl;		// Current Channel number
	short m_sOffset;		// Optical blank pixel number
	short m_asChnIDs[MAX_USB_PORT_NUM];	// Channel IDs connected
	long m_alIntTime[MAX_USB_PORT_NUM];	// Integration Time per each channel
//	long m_alIntTime[MAX_USB_PORT_NUM];	// Integration Time per each channel
	short m_asInShutter[MAX_USB_PORT_NUM]; // Shutter Check
	BOOL m_bTriggerOld;	// Trigger mode (old)
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSDK_USBm_SM303_S10420Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnClose();
	afx_msg void OnBtnAssign();
	afx_msg void OnBtnChkConnect();
	afx_msg void OnBtnChkChannels();
	afx_msg void OnClose();
	afx_msg void OnSelchangeCbChannelNum();
	afx_msg void OnChangeEditIntTime();
	afx_msg void OnBtnGetDataCurrentChnl();
	afx_msg void OnBtnGetDataAdv();
	afx_msg void OnChkTecooling();
	afx_msg void OnChkShutter();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SDK_USBm_SM303_S10420DLG_H__91D7B9F7_10D5_4A92_831F_03026CECEA5E__INCLUDED_)
